## Intel CE3100, CE4100 Specific Support Intel CE3100, CE4100 Specific Support — Intel CE3100, CE4100 Specific API |

## Functions

void | clutter_cex100_set_plane ()
void | clutter_cex100_set_buffering_mode ()
EGLDisplay | clutter_cex100_get_egl_display ()

## Types and Values

enum | ClutterCex100BufferingMode

## Description

The CEX100 backend for Clutter provides some Intel CE3100/CE4100 specific API

You need to include `clutter/cex100/clutter-cex100.h` to have access to the functions documented here.

## Functions

### clutter_cex100_set_plane ()

    void
    clutter_cex100_set_plane (gdl_plane_id_t plane);

Intel CE3100 and CE4100 have several planes (frame buffers) and a hardware blender to blend the planes togeteher and produce the final image.

clutter_cex100_set_plane() let's you configure the GDL plane where the stage will be drawn. By default Clutter will pick UPP_C (GDL_PLANE_ID_UPP_C).

This function has to be called before `clutter_init()`.

#### Parameters

plane | a GDL plane |

Since 1.6

### clutter_cex100_set_buffering_mode ()

    void
    clutter_cex100_set_buffering_mode (ClutterCex100BufferingMode mode);

Configure the buffering mode of the underlying GDL plane. The GDL surface used by Clutter to draw can be backed up by either one or two back buffers thus being double or triple buffered, respectively.

Clutter defaults to `CLUTTER_CEX100_TRIPLE_BUFFERING`.

This function has to be called before `clutter_init()`.

#### Parameters

mode | a ClutterCex100BufferingMode |

Since 1.6

### clutter_cex100_get_egl_display ()

    EGLDisplay
    clutter_cex100_get_egl_display (void);

Retrieves the EGL display used by Clutter, if it supports the EGL windowing system and if it is running using an EGL backend.

#### Returns

the EGL display used by Clutter, or 0

Since 1.10

## Types and Values

### enum ClutterCex100BufferingMode

Enum passed to `clutter_cex100_set_buffering_mode()`.

#### Members

CLUTTER_CEX100_DOUBLE_BUFFERING | The GDL plane will be double buffered |
CLUTTER_CEX100_TRIPLE_BUFFERING | The GDL plane will be triple buffered |

Since 1.6